Read a project-scoped workflow batch

Read a project-scoped workflow batch

GET
/api/v1/browser/projects/{projectId}/environments/{environmentId}/batches/{batchId}

Read a project-scoped workflow batch

Authorization

BrowserWorkflowApiKey
headerX-API-Key<token>

Project- and environment-scoped browser workflow API key.

Path Parameters

projectId*string
Formatuuid
environmentId*string
Formatuuid
batchId*string
Formatuuid

Response Body

Workflow batch progress Error body uses the documented PublicError DTO.

application/json
  1. response
id*string
Formatuuid
parent_batch_id*|
Formatuuid
project_id*string
Formatuuid
environment_id*string
Formatuuid
workflow_id*string
Formatuuid
workflow_version_id*string
Formatuuid
requested_by?integer|null
status*string
configured_concurrency*integer
priority*integer
estimate_units*integer
actual_cost_units*integer
accepted_count*integer
rejected_count*integer
completed_count*integer
failed_count*integer
created_at*string
Formatdate-time
started_at*|
Formatdate-time
finished_at*|
Formatdate-time
curl -X GET 'https://api.runharvester.com/api/v1/browser/projects/497f6eca-6276-4993-bfeb-53cbbbba6f08/environments/497f6eca-6276-4993-bfeb-53cbbbba6f08/batches/497f6eca-6276-4993-bfeb-53cbbbba6f08' \  --header "X-API-Key: ${RUNHARVESTER_BROWSER_API_KEY:?Set your Browser Workflow API key}"
{  "id": "9a20bd58-ed33-4a5b-b63f-b52bb1a62248",  "status": "pending"}